#ifndef _ARRAY_DEMO
#define _ARRAY_DEMO


#include "ofMain.h"


class arrayDemo : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		int xPos[20];
		int yPos[20];
		
		ofTexture noiseTexture;

		// a two-dimensional array (for pixels)
		// use values from 0 to 255 (unsigned char)
		unsigned char randomWallpaper[64][48];
		
		// you can have an array of ofFrameworks objects 
		// here's array of 5 images
		ofImage imageArray[5];
};

#endif	

